Package org.eclipse.pde.core

## Interface IModelProviderListener

    public interface IModelProviderListener

Classes should implement this interface in order to be able to register as model provider listeners. They will be notified about events such as models being added or removed. These changes are typically caused by the changes in the workspace when models are built on top of workspace resources.

Since:
  2.0
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `modelsChanged​(IModelProviderEvent event)` Notifies the listener that models have been changed in the model provider.

### Method Detail

#### modelsChanged

    void modelsChanged​(IModelProviderEvent event)

Notifies the listener that models have been changed in the model provider.

Parameters:
  `event` - the event that specifies the type of change